Bug 4889 - (int-132520) Use single GTK+ includes
: Use single GTK+ includes
Product: Email
: 5.0/(2.2009.51-1)
: All Linux
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
: http://live.gnome.org/GnomeGoals/Clea...
: patch
  Show dependency tree
Reported: 2009-08-07 19:44 UTC by Javier Jardón
Modified: 2010-03-15 20:55 UTC (History)
2 users (show)

See Also:

Use single GTK+ includes (26.39 KB, patch)
2009-08-07 19:51 UTC, Javier Jardón


You need to log in before you can comment on or make changes to this bug.

Description Javier Jardón (reporter) 2009-08-07 19:44:51 UTC
GTK+ and other libraries now require that only their top-level header file is

See http://live.gnome.org/GnomeGoals/CleanupGTKIncludes for more info
Comment 1 Javier Jardón (reporter) 2009-08-07 19:51:19 UTC
Created an attachment (id=1299) [details]
Use single GTK+ includes
Comment 2 Javier Jardón (reporter) 2009-08-07 19:54:55 UTC
The patch only modifies files needed by the Gnome version of Modest
Comment 3 Andre Klapper maemo.org 2009-08-11 23:50:04 UTC
(In reply to comment #0)
> GTK+ and other libraries now require

Well, it still compiles, so it's not yet required.
It will most probably be required by GNOME 3 though, true. :-)
Comment 4 Sergio Villar Senin 2009-09-30 13:32:15 UTC
Patch looks good.

Thank you very much!

Applied in Modest master 5f456f4b288067f9de646b31adabedef5a7171af
Comment 5 Andre Klapper maemo.org 2010-03-15 20:55:51 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).